summaryrefslogtreecommitdiffstats
path: root/graphics/pngcrush/pngcrush.SlackBuild
diff options
context:
space:
mode:
author Leo Midha2011-07-16 03:29:55 +0200
committer Robby Workman2011-07-22 05:52:09 +0200
commitba76866f3416f4d4a0e4c37a1713b32649d46053 (patch)
tree74673b02ffec604713a32136a6beb06f4899af24 /graphics/pngcrush/pngcrush.SlackBuild
parenta5dfbf72e4e382de1ad4c7a689867ada7f8d5c35 (diff)
downloadslackbuilds-ba76866f3416f4d4a0e4c37a1713b32649d46053.tar.gz
graphics/pngcrush: Added (optimizer for PNG)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'graphics/pngcrush/pngcrush.SlackBuild')
-rw-r--r--graphics/pngcrush/pngcrush.SlackBuild73
1 files changed, 73 insertions, 0 deletions
diff --git a/graphics/pngcrush/pngcrush.SlackBuild b/graphics/pngcrush/pngcrush.SlackBuild
new file mode 100644
index 0000000000..559b236857
--- /dev/null
+++ b/graphics/pngcrush/pngcrush.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for pngcrush
+
+# Written by (Leo Midha) (netrixtardis@stealth3.com)
+
+PRGNAM=pngcrush
+VERSION=${VERSION:-1.7.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Use our CFLAGS
+sed -i "/^CFLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+ make
+install -D -m0755 pngcrush $PKG/usr/bin/pngcrush
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}